• Home
  • Blog
  • Got an older version of Media Composer? - We Want You Back! | Videocraft Blog

Got an older version of Media Composer? - We Want You Back!

Written by
Videocraft
Published on
February 17, 2017 4:34:03 PM PST February 17, 2017 4:34:03 PM PSTth, February 17, 2017 4:34:03 PM PST

A limited deal until March 31!

Both ScriptSync and PhraseFind require Media Composer 8.8 to operate. If you have an active Annual Upgrade and Support Plan for Media Composer—or a Media Composer subscription—you can download the latest update at no charge right now (you’ll find the latest installer in your Avid Account). If you have Media Composer 3 or later, Symphony 3 or later, or NewsCutter 7 or later, we’re giving you a limited-time only chance to upgrade your software to Media Composer 8.8 for just $550 (AUD ex GST). This not only enables you to update your tools and editorial skills, you get an Annual Upgrade and Support Plan too, which provides access to all future Media Composer releases and support for one year, renewable annually. Contact your Videocraft Post Production specialist to help you get your upgrade sorted by March 31, 2017. Call Melbourne: (03) 9888 8511 Call Sydney (02) 9436 3050 Or check it out on the Videocraft website Avid Media Composer Upgrade Deal